#!/bin/sh
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your old home config decoders to $BACKUP_FILE in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j -y $DECODER_PATH/$BACKUP_FILE $DECODER_PATH/[dD]ivx* $DECODER_PATH/ff* $DECODER_PATH/*.dll $DECODER_PATH/*.DLL $DECODER_PATH/*.acm* $DECODER_PATH/mpeg1audio_fh.decoder
fi
# home config encoders
ENCODER_PATH=/boot/home/config/add-ons/media/encoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your old divx.encoder to $BACKUP_FILE in $ENCODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j -y $ENCODER_PATH/$BACKUP_FILE $ENCODER_PATH/divx.encoder
fi
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your old beos system decoders to $BACKUP_FILE in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j -y $DECODER_PATH/$BACKUP_FILE $DECODER_PATH/[dD]ivx* $DECODER_PATH/ff* $DECODER_PATH/*.dll $DECODER_PATH/*.DLL $DECODER_PATH/*.acm* $DECODER_PATH/mpeg1audio_fh.decoder
fi
# divx libraries
LIB_PATH=/boot/home/config/lib
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your old divx libraries to $BACKUP_FILE in $LIB_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j -y $LIB_PATH/$BACKUP_FILE $LIB_PATH/libavcodec.so $LIB_PATH/mpeg1audio_fh.decoder
fi
alert "Done compressing your old divx codec files." "Ok"
