#!/bin/sh
base=`dirname "$0"`
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
SOURCE_PATH=`dirname "$0"`/../home-config-decoders
RESPONSE=$(alert "Ready to uninstall HybridDivx decoders in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	diff $SOURCE_PATH/divx.mp42.decoder $DECODER_PATH/divx.mp42.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx.mp42.decoder
	fi
	diff $SOURCE_PATH/divx.mp43.decoder $DECODER_PATH/divx.mp43.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx.mp43.decoder
	fi
	diff $SOURCE_PATH/divx_audio.decoder $DECODER_PATH/divx_audio.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx_audio.decoder
	fi
	diff $SOURCE_PATH/DivXa32.acm $DECODER_PATH/DivXa32.acm
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXa32.acm
	fi
	diff $SOURCE_PATH/DivXc32.dll $DECODER_PATH/DivXc32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXc32.dll
	fi
	diff $SOURCE_PATH/DivXc32f.dll $DECODER_PATH/DivXc32f.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXc32f.dll
	fi
	diff $SOURCE_PATH/ffmpeg4-divx5.decoder $DECODER_PATH/ffmpeg4-divx5.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/ffmpeg4-divx5.decoder
	fi
	diff $SOURCE_PATH/ffmpeg4-xvid.decoder $DECODER_PATH/ffmpeg4-xvid.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/ffmpeg4-xvid.decoder
	fi
	diff $SOURCE_PATH/ffmpeg4.decoder $DECODER_PATH/ffmpeg4.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/ffmpeg4.decoder
	fi
	diff $SOURCE_PATH/L3codeca.acm $DECODER_PATH/L3codeca.acm
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/L3codeca.acm
	fi
	diff $SOURCE_PATH/mp42c32.dll $DECODER_PATH/mp42c32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/mp42c32.dll
	fi
	diff $SOURCE_PATH/mp43c32.dll $DECODER_PATH/mp43c32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/mp43c32.dll
	fi
	diff $SOURCE_PATH/mpeg1audio_fh.decoder $DECODER_PATH/mpeg1audio_fh.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/mpeg1audio_fh.decoder
	fi
	diff $SOURCE_PATH/MPG4DMOD.DLL $DECODER_PATH/MPG4DMOD.DLL
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/MPG4DMOD.DLL
	fi
	alert "Done uninstalling HybridDivx decoders from $DECODER_PATH" "Ok"
fi
# home config decoders
ENCODER_PATH=/boot/home/config/add-ons/media/encoders
SOURCE_PATH=`dirname "$0"`/../home-config-encoders
RESPONSE=$(alert "Ready to uninstall HybridDivx encoder in $ENCODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	diff $SOURCE_PATH/divx.encoder $ENCODER_PATH/divx.encoder
	if [ $? -eq 0 ] ; then
		rm $ENCODER_PATH/divx.encoder
	fi
fi
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
SOURCE_PATH=`dirname "$0"`/../beos-system-decoders
RESPONSE=$(alert "Ready to uninstall HybridDivx decoders in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	diff $SOURCE_PATH/ffmp3.decoder $DECODER_PATH/ffmp3.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/ffmp3.decoder
	fi
	alert "Done uninstalling HybridDivx decoders from $DECODER_PATH" "Ok"
fi
# libs
LIB_PATH=/boot/home/config/lib
SOURCE_PATH=`dirname "$0"`/../home-config-lib
RESPONSE=$(alert "Ready to uninstall HybridDivx libs in $LIB_PATH" "Abort" "Skip" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
if [ $RESPONSE == "Ok" ] ; then
	diff $SOURCE_PATH/libavcodec.so $LIB_PATH/libavcodec.so
	if [ $? -eq 0 ] ; then
		rm $LIB_PATH/libavcodec.so
	fi
	diff $SOURCE_PATH/mpeg1audio_fh.decoder $LIB_PATH/mpeg1audio_fh.decoder
	if [ $? -eq 0 ] ; then
		rm $LIB_PATH/mpeg1audio_fh.decoder
	fi
	alert "Done uninstalling HybridDivx libs." "Ok"
fi
